From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/dssp/
Date: Thu, 17 Oct 2024 08:51:12 +0000 (UTC) [thread overview]
Message-ID: <1729155051.887986878e2a4e4440b4165647879312e526ee3b.pacho@gentoo> (raw)
commit: 887986878e2a4e4440b4165647879312e526ee3b
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 17 08:49:25 2024 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Thu Oct 17 08:50:51 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88798687
sci-chemistry/dssp: add 4.4.8
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
sci-chemistry/dssp/Manifest | 1 +
sci-chemistry/dssp/dssp-4.4.8.ebuild | 55 ++++++++++++++++++++++++++++++++++++
2 files changed, 56 insertions(+)
diff --git a/sci-chemistry/dssp/Manifest b/sci-chemistry/dssp/Manifest
index 34adeb159346..e30dccf69c8f 100644
--- a/sci-chemistry/dssp/Manifest
+++ b/sci-chemistry/dssp/Manifest
@@ -2,3 +2,4 @@ DIST dssp-2.2.1.tgz 47141 BLAKE2B 34d8b2db8797a8c23763766c0214337f03584c4be52c1b
DIST dssp-3.0.11.tar.gz 168085 BLAKE2B e1c42fd22cfb2287f10b5deae48b56a4583d4a67737a3485dcbd160d1597a15c2d5105c3794c875d8001abede1c014efb4f7f5b7c250f867bdf9ed95a0860217 SHA512 a0cfe44e517ff1f909ef2928b62ae2c639c6bddfd8a0fb538883f647fd2771e00da68e0fd2521aa02ba3c6d1b0c9b784b7fe142392af3a3abf6ea89f1546bd9d
DIST dssp-4.4.4.1.tar.gz 162809 BLAKE2B 6c3f588a48778cf5f20b40b93736e150a4d366bf44d214b4064362c2a3bce69db415f5d12568a8523d99e2e5a47749d450ff0251dc3035628dbef9343d37e99a SHA512 291810391d74da7ab65bcf4aab61fa4ae1a5518a361fa02d5c15ed0e5c94139fde65e7612a978f5326bd7d93f2ac6ea01b2b65514d6b64f4d062adf112c48deb
DIST dssp-4.4.7.tar.gz 163831 BLAKE2B 195c8fb183df00105098967850b01c0d6acf776f7cfa409fc536c8291e7a467da2adfb5f34d8191e33dbb29bfd254cd414c1b7b76ed3f3b854928c4dc8a5fcdd SHA512 2fe2d8a494b570934c0d28804fe69b6569089ded58ec92bf3d83b25ce60a3b9486490909e187b511328f13498ca9027869e922d95a355cf0e21c2564c2db1b5a
+DIST dssp-4.4.8.tar.gz 164050 BLAKE2B 0f048b5425f3ecb0e9278da81e2274e817b5ba5ed33a372d0e4c0b0d0600f9ebee2b125f7411dcc4af5d56e2f86cf0d7f10608467b24dd886ca559f7c4b60e6a SHA512 a21c79e56662d926e8476ffc7ccd84dec182a7bbd98c08b3df61ed88c99ee82e1522b69156cdea0abf96d93bc69a0a491b04662a9312d2681785116074151a61
diff --git a/sci-chemistry/dssp/dssp-4.4.8.ebuild b/sci-chemistry/dssp/dssp-4.4.8.ebuild
new file mode 100644
index 000000000000..d5e51fe40fec
--- /dev/null
+++ b/sci-chemistry/dssp/dssp-4.4.8.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit cmake
+
+DESCRIPTION="The protein secondary structure standard"
+HOMEPAGE="https://swift.cmbi.umcn.nl/gv/dssp/ https://github.com/PDB-REDO/dssp"
+SRC_URI="https://github.com/PDB-REDO/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# doc disabled as it only generates a PDF from the manpage for now
+# https://github.com/PDB-REDO/dssp/issues/64
+#IUSE="doc"
+
+CDEPEND="
+ dev-libs/boost:=[zlib]
+ >=dev-libs/libmcfp-1.2.2
+ >=sci-libs/libcifpp-7.0.3
+"
+BDEPEND="${CDEPEND}
+ dev-cpp/catch:0
+"
+# doc? (
+# || ( app-text/pandoc-bin[pandoc-symlink] app-text/pandoc )
+# dev-python/weasyprint
+# )
+RDEPEND="${CDEPEND}"
+
+#src_prepare() {
+# # wkhtmltopdf is not available on Gentoo
+# sed -i -e \
+# 's/-t html/-t html --pdf-engine=weasyprint/' \
+# CMakeLists.txt
+# cmake_src_prepare
+#}
+
+src_configure() {
+ local mycmakeargs=(
+ #-DBUILD_DOCUMENTATION=$(usex doc)
+ -DBUILD_DOCUMENTATION=NO
+ )
+ cmake_src_configure
+}
+
+pkg_postinst() {
+ if has_version "<=sci-chemistry/gromacs-2022"; then
+ ewarn "DSSP > 3.0.x is not compatible with gmx do_dssp:"
+ ewarn "https://gitlab.com/gromacs/gromacs/-/issues/4129"
+ ewarn
+ ewarn "Feel free to mask newer versions if needed."
+ fi
+}
next reply other threads:[~2024-10-17 8:51 UTC|newest]
Thread overview: 48+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-10-17 8:51 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-13 16:44 [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/dssp/ Pacho Ramos
2025-04-13 16:44 Pacho Ramos
2025-04-13 16:44 Pacho Ramos
2025-04-13 16:44 Pacho Ramos
2025-03-05 18:12 Pacho Ramos
2025-01-31 18:35 Pacho Ramos
2025-01-13 12:56 Sam James
2024-10-17 11:56 Pacho Ramos
2024-10-17 8:51 Pacho Ramos
2024-06-01 11:08 Pacho Ramos
2024-05-18 10:06 Pacho Ramos
2024-05-18 10:06 Pacho Ramos
2024-05-18 10:06 Pacho Ramos
2023-10-26 15:09 Pacho Ramos
2023-07-21 8:01 Pacho Ramos
2023-07-21 8:01 Pacho Ramos
2023-07-20 8:12 Pacho Ramos
2023-07-20 8:12 Pacho Ramos
2023-06-08 9:39 Pacho Ramos
2023-04-18 15:08 Pacho Ramos
2023-02-26 15:51 Pacho Ramos
2023-02-26 15:51 Pacho Ramos
2023-01-02 14:04 Andreas Sturmlechner
2022-12-05 20:17 Arthur Zamarin
2022-12-04 14:50 Pacho Ramos
2022-12-04 14:50 Pacho Ramos
2022-09-04 13:03 David Seifert
2022-09-04 12:23 David Seifert
2022-07-06 5:18 Arthur Zamarin
2022-06-02 4:03 Sam James
2022-03-17 13:36 Jakov Smolić
2022-03-13 18:36 Pacho Ramos
2021-11-16 10:08 Jakov Smolić
2021-11-16 7:50 Agostino Sarubbo
2021-11-16 3:14 Sam James
2021-11-06 8:53 Pacho Ramos
2021-11-06 8:53 Pacho Ramos
2021-10-10 20:48 Sam James
2021-10-05 6:48 Agostino Sarubbo
2021-10-04 11:00 Agostino Sarubbo
2021-10-03 18:45 Pacho Ramos
2021-09-02 12:01 Pacho Ramos
2021-09-02 12:01 Pacho Ramos
2021-09-02 12:01 Pacho Ramos
2021-09-02 12:01 Pacho Ramos
2021-09-02 12:01 Pacho Ramos
2021-06-18 19:18 David Seifert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1729155051.887986878e2a4e4440b4165647879312e526ee3b.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox